TokensApi - interface

export
interface

  TokensApiInterface

### Hierarchy

- TokensApiInterface

### Implemented by

- TokensApi

## Index

### Methods

- getContractFtMetadata
- getContractFtMetadataRaw
- getContractNftMetadata
- getContractNftMetadataRaw
- getFtMetadataList
- getFtMetadataListRaw
- getNftMetadataList
- getNftMetadataListRaw

## Methods

### getContractFtMetadata

- getContractFtMetadata(requestParameters: GetContractFtMetadataRequest, initOverrides?: RequestInit): Promise< FungibleTokenMetadata >

- - Defined in src/generated/apis/TokensApi.ts:71

  Get fungible tokens metadata for given contract id Fungible tokens metadata for contract id

  #### Parameters

  - ##### requestParameters: GetContractFtMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< FungibleTokenMetadata >

### getContractFtMetadataRaw

- getContractFtMetadataRaw(requestParameters: GetContractFtMetadataRequest, initOverrides?: RequestInit): Promise< ApiResponse < FungibleTokenMetadata >>

- - Defined in src/generated/apis/TokensApi.ts:65

  Get fungible tokens metadata for given contract id

  summary

    Fungible tokens metadata for contract id

  throws

    {RequiredError}

  memberof

    TokensApiInterface

  #### Parameters

  - ##### requestParameters: GetContractFtMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < FungibleTokenMetadata >>

### getContractNftMetadata

- getContractNftMetadata(requestParameters: GetContractNftMetadataRequest, initOverrides?: RequestInit): Promise< NonFungibleTokenMetadata >

- - Defined in src/generated/apis/TokensApi.ts:87

  Get non fungible tokens metadata for given contract id Non fungible tokens metadata for contract id

  #### Parameters

  - ##### requestParameters: GetContractNftMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NonFungibleTokenMetadata >

### getContractNftMetadataRaw

- getContractNftMetadataRaw(requestParameters: GetContractNftMetadataRequest, initOverrides?: RequestInit): Promise< ApiResponse < NonFungibleTokenMetadata >>

- - Defined in src/generated/apis/TokensApi.ts:81

  Get non fungible tokens metadata for given contract id

  summary

    Non fungible tokens metadata for contract id

  throws

    {RequiredError}

  memberof

    TokensApiInterface

  #### Parameters

  - ##### requestParameters: GetContractNftMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NonFungibleTokenMetadata >>

### getFtMetadataList

- getFtMetadataList(requestParameters: GetFtMetadataListRequest, initOverrides?: RequestInit): Promise< FungibleTokensMetadataList >

- - Defined in src/generated/apis/TokensApi.ts:104

  Get list of fungible tokens metadata Fungible tokens metadata list

  #### Parameters

  - ##### requestParameters: GetFtMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< FungibleTokensMetadataList >

### getFtMetadataListRaw

- getFtMetadataListRaw(requestParameters: GetFtMetadataListRequest, initOverrides?: RequestInit): Promise< ApiResponse < FungibleTokensMetadataList >>

- - Defined in src/generated/apis/TokensApi.ts:98

  Get list of fungible tokens metadata

  summary

    Fungible tokens metadata list

  throws

    {RequiredError}

  memberof

    TokensApiInterface

  #### Parameters

  - ##### requestParameters: GetFtMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < FungibleTokensMetadataList >>

### getNftMetadataList

- getNftMetadataList(requestParameters: GetNftMetadataListRequest, initOverrides?: RequestInit): Promise< NonFungibleTokensMetadataList >

- - Defined in src/generated/apis/TokensApi.ts:121

  Get list of non fungible tokens metadata Non fungible tokens metadata list

  #### Parameters

  - ##### requestParameters: GetNftMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NonFungibleTokensMetadataList >

### getNftMetadataListRaw

- getNftMetadataListRaw(requestParameters: GetNftMetadataListRequest, initOverrides?: RequestInit): Promise< ApiResponse < NonFungibleTokensMetadataList >>

- - Defined in src/generated/apis/TokensApi.ts:115

  Get list of non fungible tokens metadata

  summary

    Non fungible tokens metadata list

  throws

    {RequiredError}

  memberof

    TokensApiInterface

  #### Parameters

  - ##### requestParameters: GetNftMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NonFungibleTokensMetadataList >>

Generated using TypeDoc